import type { PackageApi } from './package-api/PackageApi';
export type WithBaseApi<Api extends object> = Api & {
    dispose(): Promise<void>;
    packages: PackageApi<Api>;
};
export declare function framework<Api extends object>(onError?: (error: Error) => void): WithBaseApi<Api>;
